import axios from 'axios';

const tokensData = JSON.parse(localStorage.getItem('tokens'));

const refreshToken = () =>
  axios
    .post(
      'http://localhost:4000/auth/refresh',
      {},
      {
        headers: {
          Authorization: `bearer ${tokensData.refresh_token}`,
        },
      },
    )
    .then((res) => localStorage.setItem('tokens', JSON.stringify(res.data)));

export default refreshToken;
